// Set new default font family and font color to mimic Bootstrap's default styling
Chart.defaults.global.defaultFontFamily = 'Nunito', '-apple-system,system-ui,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif';
Chart.defaults.global.defaultFontColor = '#858796';

function number_format(number, decimals, dec_point, thousands_sep) {
  // *     example: number_format(1234.56, 2, ',', ' ');
  // *     return: '1 234,56'
  number = (number + '').replace(',', '').replace(' ', '');
  var n = !isFinite(+number) ? 0 : +number,
    prec = !isFinite(+decimals) ? 0 : Math.abs(decimals),
    sep = (typeof thousands_sep === 'undefined') ? ',' : thousands_sep,
    dec = (typeof dec_point === 'undefined') ? '.' : dec_point,
    s = '',
    toFixedFix = function(n, prec) {
      var k = Math.pow(10, prec);
      return '' + Math.round(n * k) / k;
    };
  // Fix for IE parseFloat(0.55).toFixed(0) = 0;
  s = (prec ? toFixedFix(n, prec) : '' + Math.round(n)).split('.');
  if (s[0].length > 3) {
    s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, sep);
  }
  if ((s[1] || '').length < prec) {
    s[1] = s[1] || '';
    s[1] += new Array(prec - s[1].length + 1).join('0');
  }
  return s.join(dec);
}

// Area Chart Example
var ctx = document.getElementById("myAreaChart");
var myLineChart = new Chart(ctx, {
  type: 'bubble',
  data: {
    labels: [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,360,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,390,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,428,429,430,431,432,433,434,435,436,437,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,498,499,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559,560,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,577,578,579,580,581,582,583,584,585,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,601,602,603,604,605,606,607,608,609,610,611,612,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670,671,672,673,674,675,676,677,678,679,680,681,682,683,684,685,686,687,688,689,690,691,692,693,694,695,696,697,698,699,700,701,702,703,704,705,706,707,708,709,710,711,712,713,714,715,716,717,718,719,720,721,722,723,724,725,726,727,728,729,730,731,732,733,734,735,736,737,738,739,740,741,742,743,744,745,746,747,748,749,750,751,752,753,754,755,756,757,758,759,760,761,762,763,764,765,766,767,768,769,770,771,772,773,774,775,776,777,778,779,780,781,782,783,784,785,786,787,788,789,790,791,792,793,794,795,796,797,798,799,800,801,802,803,804,805,806,807,808,809,810,811,812,813,814,815,816,817,818,819,820,821,822,823,824,825,826,827,828,829,830,831,832,833,834,835,836,837,838,839,840,841,842,843,844,845,846,847,848,849,850,851,852,853,854,855,856,857,858,859,860,861,862,863,864,865,866,867,868,869,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,885,886,887,888,889,890,891,892,893,894,895,896,897,898,899,900,901,902,903,904,905,906,907,908,909,910,911,912,913,914,915,916,917,918,919,920,921,922,923,924,925,926,927,928,929,930,931,932,933,934,935,936,937,938,939,940,941,942,943,944,945,946,947,948,949,950,951,952,953,954,955,956,957,958,959,960,961,962,963,964,965,966,967,968,969,970,971,972,973,974,975,976,977,978,979,980,981,982,983,984,985,986,987,988,989,990,991,992,993,994,995,996,997,998,999,1000,1001,1002,1003,1004,1005,1006,1007,1008,1009,1010,1011,1012,1013,1014,1015,1016,1017,1018,1019,1020,1021,1022,1023,1024,1025,1026,1027,1028,1029,1030,1031,1032,1033,1034,1035,1036,1037,1038,1039,1040,1041,1042,1043,1044,1045,1046,1047,1048,1049,1050,1051,1052,1053,1054,1055,1056,1057,1058,1059,1060,1061,1062,1063,1064,1065,1066,1067,1068,1069,1070,1071,1072,1073,1074,1075,1076,1077,1078,1079,1080,1081,1082,1083,1084,1085,1086,1087,1088,1089,1090,1091,1092,1093,1094,1095,1096,1097,1098,1099,1100,1101,1102,1103,1104,1105,1106,1107,1108,1109,1110,1111,1112,1113,1114,1115,1116,1117,1118,1119,1120,1121,1122,1123,1124,1125,1126,1127,1128,1129,1130,1131,1132,1133,1134,1135,1136,1137,1138,1139,1140,1141,1142,1143,1144,1145,1146,1147,1148,1149,1150,1151,1152,1153,1154,1155,1156,1157,1158,1159,1160,1161,1162,1163,1164,1165,1166,1167,1168,1169,1170,1171,1172,1173,1174,1175,1176,1177,1178,1179,1180,1181,1182,1183,1184,1185,1186,1187,1188,1189,1190,1191,1192,1193,1194,1195,1196,1197,1198,1199,1200,1201,1202,1203,1204,1205,1206,1207,1208,1209,1210,1211,1212,1213,1214,1215,1216,1217,1218,1219,1220,1221,1222,1223,1224,1225,1226,1227,1228,1229,1230,1231,1232,1233,1234,1235,1236,1237,1238,1239,1240,1241,1242,1243,1244,1245,1246,1247,1248,1249,1250,1251,1252,1253,1254,1255,1256,1257,1258,1259,1260,1261,1262,1263,1264,1265,1266,1267,1268,1269,1270,1271,1272,1273,1274,1275,1276,1277,1278,1279,1280,1281,1282,1283,1284,1285,1286,1287,1288,1289,1290,1291,1292,1293,1294,1295,1296,1297,1298,1299,1300,1301,1302,1303,1304,1305,1306,1307,1308,1309,1310,1311,1312,1313,1314,1315,1316,1317,1318,1319,1320,1321,1322,1323,1324,1325,1326,1327,1328,1329,1330,1331,1332,1333,1334,1335,1336,1337,1338,1339,1340,1341,1342,1343,1344,1345,1346,1347,1348,1349,1350,1351,1352,1353,1354,1355,1356,1357,1358,1359,1360,1361,1362,1363,1364,1365,1366,1367,1368,1369,1370,1371,1372,1373,1374,1375,1376,1377,1378,1379,1380,1381,1382,1383,1384,1385,1386,1387,1388,1389,1390,1391,1392,1393,1394,1395,1396,1397,1398,1399,1400,1401,1402,1403,1404,1405,1406,1407,1408,1409,1410,1411,1412,1413,1414,1415,1416,1417,1418,1419,1420,1421,1422,1423,1424,1425,1426,1427,1428,1429,1430,1431,1432,1433,1434,1435,1436,1437,1438,1439,1440,1441,1442,1443,1444,1445,1446,1447,1448,1449,1450,1451,1452,1453,1454,1455,1456,1457,1458,1459,1460,1461,1462,1463,1464,1465,1466,1467,1468,1469,1470,1471,1472],
    datasets: [{
      label: "Коэффициент экологичности",
      lineTension: 0.3,
      backgroundColor: "rgba(78, 115, 223, 0.05)",
      borderColor: "rgb(0,124,34)",
      pointRadius: 3,
      pointBackgroundColor: "rgb(0,124,34)",
      pointBorderColor: "rgb(0,124,34)",
      pointHoverRadius: 3,
      pointHoverBackgroundColor: "rgba(78, 115, 223, 1)",
      pointHoverBorderColor: "rgba(78, 115, 223, 1)",
      pointHitRadius: 10,
      pointBorderWidth: 2,
      data: [
        {x:1,y:2.234482759,r:5},
        {x:2,y:0.35862069,r:5},
        {x:3,y:3.544827586,r:5},
        {x:4,y:3.062068966,r:5},
        {x:5,y:1.627586207,r:5},
        {x:6,y:0.979310345,r:5},
        {x:7,y:0.620689655,r:5},
        {x:8,y:0,r:5},
        ,{x:9,y:0.234482759,r:5},
        {x:10,y:2.234482759,r:5},
        {x:11,y:1.972413793,r:5},
        {x:12,y:0,r:5},
        {x:13,y:-0.372413793,r:5},
        {x:14,y:0,r:5},
        {x:15,y:1.986206897,r:5},
        {x:16,y:9.406896552,r:5},
        {x:17,y:1.255172414,r:5},
        {x:18,y:0.427586207,r:5},
        {x:19,y:-0.372413793,r:5},
        {x:20,y:0.082758621,r:5},
        {x:21,y:2.234482759,r:5},
        {x:22,y:2.703448276,r:5},
        {x:23,y:-0.262068966,r:5},
        {x:24,y:1.24137931,r:5},
        {x:25,y:-0.165517241,r:5},
        {x:26,y:0.868965517,r:5},
        {x:27,y:0,r:5},
        {x:28,y:1.572413793,r:5},
        {x:29,y:0.648275862,r:5},
        {x:30,y:0.689655172,r:5},
        {x:31,y:1.434482759,r:5},
        {x:32,y:0.606896552,r:5},
        {x:33,y:0,r:5},
        {x:34,y:0,r:5},
        {x:35,y:0.937931034,r:5},
        {x:36,y:0.220689655,r:5},
        {x:37,y:0.35862069,r:5},
        {x:38,y:2.344827586,r:5},
        {x:39,y:0.35862069,r:5},
        {x:40,y:0,r:5},
        {x:41,y:1.089655172,r:5},
        {x:42,y:2,r:5},
        {x:43,y:0.124137931,r:5},
        {x:44,y:1.806896552,r:5},
        {x:45,y:0.524137931,r:5},
        {x:46,y:1.282758621,r:5},
        {x:47,y:2.04137931,r:5},
        {x:48,y:0.648275862,r:5},
        {x:49,y:0.386206897,r:5},
        {x:50,y:1.365517241,r:5},
        {x:51,y:0,r:5},
        {x:52,y:1.172413793,r:5},
        {x:53,y:2.427586207,r:5},
        {x:54,y:0.331034483,r:5},
        {x:55,y:0.165517241,r:5},
        {x:56,y:0,r:5},
        {x:57,y:1.889655172,r:5},
        {x:58,y:1.006896552,r:5},
        {x:59,y:0.827586207,r:5},
        {x:60,y:1.848275862,r:5},
        {x:61,y:2.096551724,r:5},
        {x:62,y:-0.275862069,r:5},
        {x:63,y:0.868965517,r:5},
        {x:64,y:1.324137931,r:5},
        {x:65,y:2.606896552,r:5},
        {x:66,y:0,r:5},
        {x:67,y:0.427586207,r:5},
        {x:68,y:2.4,r:5},
        {x:69,y:0.827586207,r:5},
        {x:70,y:0,r:5},
        {x:71,y:1.875862069,r:5},
        {x:72,y:1.517241379,r:5},
        {x:73,y:1.517241379,r:5},
        {x:74,y:0.937931034,r:5},
        {x:75,y:1.144827586,r:5},
        {x:76,y:0,r:5},
        {x:77,y:0.537931034,r:5},
        {x:78,y:-1.379310345,r:5},
        {x:79,y:0.689655172,r:5},
        {x:80,y:0.372413793,r:5},
        {x:81,y:0.951724138,r:5},
        {x:82,y:1.296551724,r:5},
        {x:83,y:0.303448276,r:5},
        {x:84,y:1.889655172,r:5},
        {x:85,y:1.517241379,r:5},
        {x:86,y:0.786206897,r:5},
        {x:87,y:1.531034483,r:5},
        {x:88,y:1.862068966,r:5},
        {x:89,y:1.282758621,r:5},
        {x:90,y:0.648275862,r:5},
        {x:91,y:0,r:5},
        {x:92,y:0,r:5},
        {x:93,y:-0.165517241,r:5},
        {x:94,y:0,r:5},
        {x:95,y:-0.193103448,r:5},
        {x:96,y:0,r:5},
        {x:97,y:0.455172414,r:5},
        {x:98,y:0.937931034,r:5},
        {x:99,y:0,r:5},
        {x:100,y:-0.179310345,r:5},
        {x:101,y:1.117241379,r:5},
        {x:102,y:0.703448276,r:5},
        {x:103,y:0.317241379,r:5},
        {x:104,y:0.731034483,r:5},
        {x:105,y:1.95862069,r:5},
        {x:106,y:1.172413793,r:5},
        {x:107,y:2.44137931,r:5},
        {x:108,y:0.289655172,r:5},
        {x:109,y:0,r:5},
        {x:110,y:0.855172414,r:5},
        {x:111,y:0.482758621,r:5},
        {x:112,y:0,r:5},
        {x:113,y:1.682758621,r:5},
        {x:114,y:0.110344828,r:5},
        {x:115,y:0.703448276,r:5},
        {x:116,y:1.324137931,r:5},
        {x:117,y:0.234482759,r:5},
        {x:118,y:1.020689655,r:5},
        {x:119,y:0.979310345,r:5},
        {x:120,y:1.931034483,r:5},
        {x:121,y:1.296551724,r:5},
        {x:122,y:0,r:5},
        {x:123,y:0.468965517,r:5},
        {x:124,y:0,r:5},
        {x:125,y:1.089655172,r:5},
        {x:126,y:0.993103448,r:5},
        {x:127,y:0,r:5},
        {x:128,y:1.434482759,r:5},
        {x:129,y:2.013793103,r:5},
        {x:130,y:1.379310345,r:5},
        {x:131,y:1.696551724,r:5},
        {x:132,y:0.082758621,r:5},
        {x:133,y:1.682758621,r:5},
        {x:134,y:0.868965517,r:5},
        {x:135,y:0.786206897,r:5},
        {x:136,y:1.296551724,r:5},
        {x:137,y:0.75862069,r:5},
        {x:138,y:1.655172414,r:5},
        {x:139,y:0,r:5},
        {x:140,y:0.468965517,r:5},
        {x:141,y:0,r:5},
        {x:142,y:1.406896552,r:5},
        {x:143,y:0,r:5},
        {x:144,y:0.979310345,r:5},
        {x:145,y:1.64137931,r:5},
        {x:146,y:0.344827586,r:5},
        {x:147,y:1.062068966,r:5},
        {x:148,y:-0.331034483,r:5},
        {x:149,y:1.048275862,r:5},
        {x:150,y:1.696551724,r:5},
        {x:151,y:2,r:5},
        {x:152,y:1.048275862,r:5},
        {x:153,y:0,r:5},
        {x:154,y:-0.248275862,r:5},
        {x:155,y:0.786206897,r:5},
        {x:156,y:1.986206897,r:5},
        {x:157,y:0,r:5},
        {x:158,y:0.910344828,r:5},
        {x:159,y:1.475862069,r:5},
        {x:160,y:0,r:5},
        {x:161,y:0,r:5},
        {x:162,y:2.289655172,r:5},
        {x:163,y:2.993103448,r:5},
        {x:164,y:1.131034483,r:5},
        {x:165,y:1.751724138,r:5},
        {x:166,y:1.489655172,r:5},
        {x:167,y:0,r:5},
        {x:168,y:2.220689655,r:5},
        {x:169,y:1.986206897,r:5},
        {x:170,y:0,r:5},
        {x:171,y:1.503448276,r:5},
        {x:172,y:1.793103448,r:5},
        {x:173,y:0,r:5},
        {x:174,y:0,r:5},
        {x:175,y:0.565517241,r:5},
        {x:176,y:0.965517241,r:5},
        {x:177,y:2.427586207,r:5},
        {x:178,y:1.062068966,r:5},
        {x:179,y:0.744827586,r:5},
        {x:180,y:-0.344827586,r:5},
        {x:181,y:0.524137931,r:5},
        {x:182,y:1.6,r:5},
        {x:183,y:2.455172414,r:5},
        {x:184,y:2.731034483,r:5},
        {x:185,y:2.84137931,r:5},
        {x:186,y:0.496551724,r:5},
        {x:187,y:-0.275862069,r:5},
        {x:188,y:0.731034483,r:5},
        {x:189,y:0.993103448,r:5},
        {x:190,y:3.131034483,r:5},
        {x:191,y:2.551724138,r:5},
        {x:192,y:0,r:5},
        {x:193,y:2.979310345,r:5},
        {x:194,y:1.310344828,r:5},
        {x:195,y:0.124137931,r:5},
        {x:196,y:-0.413793103,r:5},
        {x:197,y:1.931034483,r:5},
        {x:198,y:0.75862069,r:5},
        {x:199,y:-0.44137931,r:5},
        {x:200,y:0,r:5},
        {x:201,y:-0.193103448,r:5},
        {x:202,y:3.255172414,r:5},
        {x:203,y:0,r:5},
        {x:204,y:1.117241379,r:5},
        {x:205,y:0,r:5},
        {x:206,y:1.324137931,r:5},
        {x:207,y:0,r:5},
        {x:208,y:-0.662068966,r:5},
        {x:209,y:0.096551724,r:5},
        {x:210,y:0.386206897,r:5},
        {x:211,y:0.565517241,r:5},
        {x:212,y:0.882758621,r:5},
        {x:213,y:1.351724138,r:5},
        {x:214,y:0,r:5},
        {x:215,y:1.448275862,r:5},
        {x:216,y:0.317241379,r:5},
        {x:217,y:-0.193103448,r:5},
        {x:218,y:2.04137931,r:5},
        {x:219,y:0,r:5},
        {x:220,y:1.724137931,r:5},
        {x:221,y:1.448275862,r:5},
        {x:222,y:-0.179310345,r:5},
        {x:223,y:0.606896552,r:5},
        {x:224,y:2.248275862,r:5},
        {x:225,y:0.468965517,r:5},
        {x:226,y:0.275862069,r:5},
        {x:227,y:1.986206897,r:5},
        {x:228,y:2.717241379,r:5},
        {x:229,y:0,r:5},
        {x:230,y:1.365517241,r:5},
        {x:231,y:1.24137931,r:5},
        {x:232,y:0.84137931,r:5},
        {x:233,y:1.172413793,r:5},
        {x:234,y:3.462068966,r:5},
        {x:235,y:0,r:5},
        {x:236,y:0,r:5},
        {x:237,y:1.517241379,r:5},
        {x:238,y:0,r:5},
        {x:239,y:2.289655172,r:5},
        {x:240,y:0,r:5},
        {x:241,y:0,r:5},
        {x:242,y:0.206896552,r:5},
        {x:243,y:-0.344827586,r:5},
        {x:244,y:1.751724138,r:5},
        {x:245,y:1.613793103,r:5},
        {x:246,y:1.572413793,r:5},
        {x:247,y:1.765517241,r:5},
        {x:248,y:0.731034483,r:5},
        {x:249,y:1.268965517,r:5},
        {x:250,y:0.565517241,r:5},
        {x:251,y:0,r:5},
        {x:252,y:3.324137931,r:5},
        {x:253,y:0,r:5},
        {x:254,y:0.937931034,r:5},
        {x:255,y:-0.303448276,r:5},
        {x:256,y:0.882758621,r:5},
        {x:257,y:-0.151724138,r:5},
        {x:258,y:0,r:5},
        {x:259,y:0,r:5},
        {x:260,y:-0.179310345,r:5},
        {x:261,y:0,r:5},
        {x:262,y:0,r:5},
        {x:263,y:0.786206897,r:5},
        {x:264,y:0,r:5},
        {x:265,y:0.717241379,r:5},
        {x:266,y:0.993103448,r:5},
        {x:267,y:0,r:5},
        {x:268,y:3.462068966,r:5},
        {x:269,y:0.44137931,r:5},
        {x:270,y:-0.110344828,r:5},
        {x:271,y:0.565517241,r:5},
        {x:272,y:0,r:5},
        {x:273,y:0,r:5},
        {x:274,y:2.510344828,r:5},
        {x:275,y:2.248275862,r:5},
        {x:276,y:0.165517241,r:5},
        {x:277,y:0.248275862,r:5},
        {x:278,y:0,r:5},
        {x:279,y:1.875862069,r:5},
        {x:280,y:0.648275862,r:5},
        {x:281,y:0,r:5},
        {x:282,y:0.537931034,r:5},
        {x:283,y:0.84137931,r:5},
        {x:284,y:0,r:5},
        {x:285,y:2.910344828,r:5},
        {x:286,y:0.427586207,r:5},
        {x:287,y:0.924137931,r:5},
        {x:288,y:-0.206896552,r:5},
        {x:289,y:0,r:5},
        {x:290,y:1.489655172,r:5},
        {x:291,y:0.786206897,r:5},
        {x:292,y:0.303448276,r:5},
        {x:293,y:-0.234482759,r:5},
        {x:294,y:3.475862069,r:5},
        {x:295,y:0.124137931,r:5},
        {x:296,y:1.15862069,r:5},
        {x:297,y:0.731034483,r:5},
        {x:298,y:0.124137931,r:5},
        {x:299,y:1.462068966,r:5},
        {x:300,y:1.627586207,r:5},
        {x:301,y:1.062068966,r:5},
        {x:302,y:0.620689655,r:5},
        {x:303,y:-0.317241379,r:5},
        {x:304,y:-0.220689655,r:5},
        {x:305,y:0.289655172,r:5},
        {x:306,y:1.186206897,r:5},
        {x:307,y:-0.151724138,r:5},
        {x:308,y:0.082758621,r:5},
        {x:309,y:-0.289655172,r:5},
        {x:310,y:1.586206897,r:5},
        {x:311,y:0,r:5},
        {x:312,y:1.820689655,r:5},
        {x:313,y:0.896551724,r:5},
        {x:314,y:0,r:5},
        {x:315,y:2.04137931,r:5},
        {x:316,y:2.35862069,r:5},
        {x:317,y:0.813793103,r:5},
        {x:318,y:1.2,r:5},
        {x:319,y:0.910344828,r:5},
        {x:320,y:1.462068966,r:5},
        {x:321,y:1.268965517,r:5},
        {x:322,y:-0.689655172,r:5},
        {x:323,y:0.951724138,r:5},
        {x:324,y:0.413793103,r:5},
        {x:325,y:-0.634482759,r:5},
        {x:326,y:1.475862069,r:5},
        {x:327,y:0.551724138,r:5},
        {x:328,y:0.689655172,r:5},
        {x:329,y:0.772413793,r:5},
        {x:330,y:1.365517241,r:5},
        {x:331,y:0,r:5},
        {x:332,y:0.372413793,r:5},
        {x:333,y:0.248275862,r:5},
        {x:334,y:1.103448276,r:5},
        {x:335,y:0.220689655,r:5},
        {x:336,y:0,r:5},
        {x:337,y:2.524137931,r:5},
        {x:338,y:1.64137931,r:5},
        {x:339,y:2.096551724,r:5},
        {x:340,y:2.262068966,r:5},
        {x:341,y:0.44137931,r:5},
        {x:342,y:-0.055172414,r:5},
        {x:343,y:0.937931034,r:5},
        {x:344,y:0.137931034,r:5},
        {x:345,y:2.289655172,r:5},
        {x:346,y:0.510344828,r:5},
        {x:347,y:0,r:5},
        {x:348,y:0,r:5},
        {x:349,y:1.186206897,r:5},
        {x:350,y:1.793103448,r:5},
        {x:351,y:1.213793103,r:5},
        {x:352,y:0,r:5},
        {x:353,y:-0.855172414,r:5},
        {x:354,y:0,r:5},
        {x:355,y:0.620689655,r:5},
        {x:356,y:0.8,r:5},
        {x:357,y:1.227586207,r:5},
        {x:358,y:0.827586207,r:5},
        {x:359,y:0.275862069,r:5},
        {x:360,y:2.275862069,r:5},
        {x:361,y:0.193103448,r:5},
        {x:362,y:1.613793103,r:5},
        {x:363,y:2.44137931,r:5},
        {x:364,y:1.062068966,r:5},
        {x:365,y:0.303448276,r:5},
        {x:366,y:0.84137931,r:5},
        {x:367,y:-0.813793103,r:5},
        {x:368,y:1.462068966,r:5},
        {x:369,y:0.303448276,r:5},
        {x:370,y:0.717241379,r:5},
        {x:371,y:1.020689655,r:5},
        {x:372,y:1.337931034,r:5},
        {x:373,y:1.227586207,r:5},
        {x:374,y:-2.455172414,r:5},
        {x:375,y:0.524137931,r:5},
        {x:376,y:0.303448276,r:5},
        {x:377,y:1.255172414,r:5},
        {x:378,y:1.64137931,r:5},
        {x:379,y:0.331034483,r:5},
        {x:380,y:0.855172414,r:5},
        {x:381,y:0.689655172,r:5},
        {x:382,y:-0.772413793,r:5},
        {x:383,y:1.917241379,r:5},
        {x:384,y:3.213793103,r:5},
        {x:385,y:1.903448276,r:5},
        {x:386,y:0.579310345,r:5},
        {x:387,y:0.648275862,r:5},
        {x:388,y:0.606896552,r:5},
        {x:389,y:1.324137931,r:5},
        {x:390,y:0.289655172,r:5},
        {x:391,y:0.593103448,r:5},
        {x:392,y:1.475862069,r:5},
        {x:393,y:0.979310345,r:5},
        {x:394,y:-0.179310345,r:5},
        {x:395,y:0,r:5},
        {x:396,y:0,r:5},
        {x:397,y:-0.772413793,r:5},
        {x:398,y:2.220689655,r:5},
        {x:399,y:2.055172414,r:5},
        {x:400,y:1.682758621,r:5},
        {x:401,y:2.289655172,r:5},
        {x:402,y:-0.896551724,r:5},
        {x:403,y:-0.262068966,r:5},
        {x:404,y:0,r:5},
        {x:405,y:0.827586207,r:5},
        {x:406,y:2.35862069,r:5},
        {x:407,y:0,r:5},
        {x:408,y:2.137931034,r:5},
        {x:409,y:0,r:5},
        {x:410,y:1.544827586,r:5},
        {x:411,y:0.593103448,r:5},
        {x:412,y:1.682758621,r:5},
        {x:413,y:0,r:5},
        {x:414,y:1.006896552,r:5},
        {x:415,y:-0.262068966,r:5},
        {x:416,y:1.144827586,r:5},
        {x:417,y:1.337931034,r:5},
        {x:418,y:2.731034483,r:5},
        {x:419,y:0,r:5},
        {x:420,y:0,r:5},
        {x:421,y:0.124137931,r:5},
        {x:422,y:0,r:5},
        {x:423,y:0,r:5},
        {x:424,y:1.365517241,r:5},
        {x:425,y:1.117241379,r:5},
        {x:426,y:0.648275862,r:5},
        {x:427,y:0,r:5},
        {x:428,y:0,r:5},
        {x:429,y:1.117241379,r:5},
        {x:430,y:0.510344828,r:5},
        {x:431,y:-0.068965517,r:5},
        {x:432,y:1.020689655,r:5},
        {x:433,y:0.027586207,r:5},
        {x:434,y:0.317241379,r:5},
        {x:435,y:0,r:5},
        {x:436,y:1.434482759,r:5},
        {x:437,y:0.220689655,r:5},
        {x:438,y:0.151724138,r:5},
        {x:439,y:0.84137931,r:5},
        {x:440,y:1.048275862,r:5},
        {x:441,y:0.979310345,r:5},
        {x:442,y:0.565517241,r:5},
        {x:443,y:2.372413793,r:5},
        {x:444,y:0.606896552,r:5},
        {x:445,y:0.75862069,r:5},
        {x:446,y:0,r:5},
        {x:447,y:0.027586207,r:5},
        {x:448,y:0,r:5},
        {x:449,y:1.24137931,r:5},
        {x:450,y:1.186206897,r:5},
        {x:451,y:0,r:5},
        {x:452,y:0,r:5},
        {x:453,y:0.344827586,r:5},
        {x:454,y:1.682758621,r:5},
        {x:455,y:0.386206897,r:5},
        {x:456,y:0,r:5},
        {x:457,y:0.165517241,r:5},
        {x:458,y:0,r:5},
        {x:459,y:1.075862069,r:5},
        {x:460,y:-0.137931034,r:5},
        {x:461,y:1.310344828,r:5},
        {x:462,y:0.731034483,r:5},
        {x:463,y:1.15862069,r:5},
        {x:464,y:0.179310345,r:5},
        {x:465,y:1.517241379,r:5},
        {x:466,y:-0.35862069,r:5},
        {x:467,y:1.131034483,r:5},
        {x:468,y:0,r:5},
        {x:469,y:1.310344828,r:5},
        {x:470,y:1.103448276,r:5},
        {x:471,y:0,r:5},
        {x:472,y:0.372413793,r:5},
        {x:473,y:0.827586207,r:5},
        {x:474,y:0.151724138,r:5},
        {x:475,y:1.172413793,r:5},
        {x:476,y:-0.4,r:5},
        {x:477,y:1.117241379,r:5},
        {x:478,y:1.393103448,r:5},
        {x:479,y:0.689655172,r:5},
        {x:480,y:1.255172414,r:5},
        {x:481,y:0.744827586,r:5},
        {x:482,y:1.117241379,r:5},
        {x:483,y:-0.675862069,r:5},
        {x:484,y:0.44137931,r:5},
        {x:485,y:0.510344828,r:5},
        {x:486,y:-0.4,r:5},
        {x:487,y:1.655172414,r:5},
        {x:488,y:0,r:5},
        {x:489,y:1.531034483,r:5},
        {x:490,y:2.482758621,r:5},
        {x:491,y:-0.027586207,r:5},
        {x:492,y:2.565517241,r:5},
        {x:493,y:0,r:5},
        {x:494,y:0.813793103,r:5},
        {x:495,y:1.875862069,r:5},
        {x:496,y:2.206896552,r:5},
        {x:497,y:0,r:5},
        {x:498,y:2.331034483,r:5},
        {x:499,y:0,r:5},
        {x:500,y:0.524137931,r:5},
        {x:501,y:0,r:5},
        {x:502,y:0.855172414,r:5},
        {x:503,y:2.262068966,r:5},
        {x:504,y:0.979310345,r:5},
        {x:505,y:1.613793103,r:5},
        {x:506,y:0.413793103,r:5},
        {x:507,y:0.703448276,r:5},
        {x:508,y:1.268965517,r:5},
        {x:509,y:0,r:5},
        {x:510,y:0.772413793,r:5},
        {x:511,y:0.248275862,r:5},
        {x:512,y:0.317241379,r:5},
        {x:513,y:1.117241379,r:5},
        {x:514,y:0.524137931,r:5},
        {x:515,y:0.165517241,r:5},
        {x:516,y:1.089655172,r:5},
        {x:517,y:0.855172414,r:5},
        {x:518,y:0,r:5},
        {x:519,y:0,r:5},
        {x:520,y:0,r:5},
        {x:521,y:0.689655172,r:5},
        {x:522,y:0,r:5},
        {x:523,y:2.275862069,r:5},
        {x:524,y:0,r:5},
        {x:525,y:0.096551724,r:5},
        {x:526,y:0.386206897,r:5},
        {x:527,y:0.937931034,r:5},
        {x:528,y:0.386206897,r:5},
        {x:529,y:0,r:5},
        {x:530,y:0.013793103,r:5},
        {x:531,y:0.689655172,r:5},
        {x:532,y:0.8,r:5},
        {x:533,y:-0.855172414,r:5},
        {x:534,y:0.606896552,r:5},
        {x:535,y:0.220689655,r:5},
        {x:536,y:0.35862069,r:5},
        {x:537,y:0.979310345,r:5},
        {x:538,y:1.15862069,r:5},
        {x:539,y:2.455172414,r:5},
        {x:540,y:0.331034483,r:5},
        {x:541,y:0.937931034,r:5},
        {x:542,y:0.524137931,r:5},
        {x:543,y:2.524137931,r:5},
        {x:544,y:2.634482759,r:5},
        {x:545,y:0.731034483,r:5},
        {x:546,y:2.35862069,r:5},
        {x:547,y:0.262068966,r:5},
        {x:548,y:0.537931034,r:5},
        {x:549,y:0.055172414,r:5},
        {x:550,y:0,r:5},
        {x:551,y:2.372413793,r:5},
        {x:552,y:1.337931034,r:5},
        {x:553,y:0.8,r:5},
        {x:554,y:0.386206897,r:5},
        {x:555,y:0.537931034,r:5},
        {x:556,y:0.220689655,r:5},
        {x:557,y:1.282758621,r:5},
        {x:558,y:1.572413793,r:5},
        {x:559,y:0.206896552,r:5},
        {x:560,y:0.937931034,r:5},
        {x:561,y:0.468965517,r:5},
        {x:562,y:-0.082758621,r:5},
        {x:563,y:0.84137931,r:5},
        {x:564,y:0.75862069,r:5},
        {x:565,y:0.896551724,r:5},
        {x:566,y:1.393103448,r:5},
        {x:567,y:1.751724138,r:5},
        {x:568,y:-0.551724138,r:5},
        {x:569,y:1.710344828,r:5},
        {x:570,y:0,r:5},
        {x:571,y:0.275862069,r:5},
        {x:572,y:1.710344828,r:5},
        {x:573,y:0,r:5},
        {x:574,y:0.634482759,r:5},
        {x:575,y:0,r:5},
        {x:576,y:0.206896552,r:5},
        {x:577,y:0.579310345,r:5},
        {x:578,y:1.834482759,r:5},
        {x:579,y:1.075862069,r:5},
        {x:580,y:1.517241379,r:5},
        {x:581,y:-0.331034483,r:5},
        {x:582,y:-0.220689655,r:5},
        {x:583,y:1.034482759,r:5},
        {x:584,y:0.786206897,r:5},
        {x:585,y:2.151724138,r:5},
        {x:586,y:0,r:5},
        {x:587,y:0.786206897,r:5},
        {x:588,y:0.937931034,r:5},
        {x:589,y:0,r:5},
        {x:590,y:2.165517241,r:5},
        {x:591,y:1.2,r:5},
        {x:592,y:1.95862069,r:5},
        {x:593,y:1.034482759,r:5},
        {x:594,y:1.627586207,r:5},
        {x:595,y:0,r:5},
        {x:596,y:1.186206897,r:5},
        {x:597,y:0.262068966,r:5},
        {x:598,y:1.517241379,r:5},
        {x:599,y:0.855172414,r:5},
        {x:600,y:0,r:5},
        {x:601,y:1.724137931,r:5},
        {x:602,y:3.682758621,r:5},
        {x:603,y:0.248275862,r:5},
        {x:604,y:0.772413793,r:5},
        {x:605,y:0,r:5},
        {x:606,y:1.848275862,r:5},
        {x:607,y:0.4,r:5},
        {x:608,y:0.262068966,r:5},
        {x:609,y:1.255172414,r:5},
        {x:610,y:1.172413793,r:5},
        {x:611,y:1.434482759,r:5},
        {x:612,y:1.034482759,r:5},
        {x:613,y:2.165517241,r:5},
        {x:614,y:4.951724138,r:5},
        {x:615,y:0.8,r:5},
        {x:616,y:0.8,r:5},
        {x:617,y:0.868965517,r:5},
        {x:618,y:0,r:5},
        {x:619,y:0.331034483,r:5},
        {x:620,y:2.068965517,r:5},
        {x:621,y:0.165517241,r:5},
        {x:622,y:0.8,r:5},
        {x:623,y:1.572413793,r:5},
        {x:624,y:0.689655172,r:5},
        {x:625,y:1.793103448,r:5},
        {x:626,y:-0.124137931,r:5},
        {x:627,y:0.703448276,r:5},
        {x:628,y:1.144827586,r:5},
        {x:629,y:1.517241379,r:5},
        {x:630,y:-0.744827586,r:5},
        {x:631,y:0.068965517,r:5},
        {x:632,y:1.213793103,r:5},
        {x:633,y:0,r:5},
        {x:634,y:0.234482759,r:5},
        {x:635,y:1.2,r:5},
        {x:636,y:-0.537931034,r:5},
        {x:637,y:2.965517241,r:5},
        {x:638,y:1.903448276,r:5},
        {x:639,y:1.434482759,r:5},
        {x:640,y:1.103448276,r:5},
        {x:641,y:1.034482759,r:5},
        {x:642,y:-0.675862069,r:5},
        {x:643,y:0,r:5},
        {x:644,y:-0.096551724,r:5},
        {x:645,y:0.496551724,r:5},
        {x:646,y:1.020689655,r:5},
        {x:647,y:1.379310345,r:5},
        {x:648,y:0.193103448,r:5},
        {x:649,y:1.420689655,r:5},
        {x:650,y:1.696551724,r:5},
        {x:651,y:2.606896552,r:5},
        {x:652,y:0.055172414,r:5},
        {x:653,y:0.055172414,r:5},
        {x:654,y:0,r:5},
        {x:655,y:0.510344828,r:5},
        {x:656,y:0.124137931,r:5},
        {x:657,y:0,r:5},
        {x:658,y:0.234482759,r:5},
        {x:659,y:-0.234482759,r:5},
        {x:660,y:1.95862069,r:5},
        {x:661,y:0.703448276,r:5},
        {x:662,y:1.393103448,r:5},
        {x:663,y:0.096551724,r:5},
        {x:664,y:0,r:5},
        {x:665,y:1.324137931,r:5},
        {x:666,y:0.331034483,r:5},
        {x:667,y:2.096551724,r:5},
        {x:668,y:0,r:5},
        {x:669,y:1.282758621,r:5},
        {x:670,y:0.924137931,r:5},
        {x:671,y:1.006896552,r:5},
        {x:672,y:0,r:5},
        {x:673,y:0.082758621,r:5},
        {x:674,y:2.924137931,r:5},
        {x:675,y:2.068965517,r:5},
        {x:676,y:0.689655172,r:5},
        {x:677,y:0.827586207,r:5},
        {x:678,y:3.268965517,r:5},
        {x:679,y:0.220689655,r:5},
        {x:680,y:2.206896552,r:5},
        {x:681,y:0,r:5},
        {x:682,y:2.082758621,r:5},
        {x:683,y:1.144827586,r:5},
        {x:684,y:2.303448276,r:5},
        {x:685,y:0.620689655,r:5},
        {x:686,y:1.779310345,r:5},
        {x:687,y:0.965517241,r:5},
        {x:688,y:1.255172414,r:5},
        {x:689,y:0.565517241,r:5},
        {x:690,y:1.875862069,r:5},
        {x:691,y:1.420689655,r:5},
        {x:692,y:0.537931034,r:5},
        {x:693,y:1.793103448,r:5},
        {x:694,y:-0.344827586,r:5},
        {x:695,y:-0.151724138,r:5},
        {x:696,y:1.020689655,r:5},
        {x:697,y:-0.882758621,r:5},
        {x:698,y:0.855172414,r:5},
        {x:699,y:0,r:5},
        {x:700,y:1.020689655,r:5},
        {x:701,y:1.24137931,r:5},
        {x:702,y:0,r:5},
        {x:703,y:1.806896552,r:5},
        {x:704,y:0,r:5},
        {x:705,y:0.027586207,r:5},
        {x:706,y:0.289655172,r:5},
        {x:707,y:0,r:5},
        {x:708,y:1.089655172,r:5},
        {x:709,y:0.868965517,r:5},
        {x:710,y:-0.813793103,r:5},
        {x:711,y:0.662068966,r:5},
        {x:712,y:0.04137931,r:5},
        {x:713,y:1.862068966,r:5},
        {x:714,y:1.393103448,r:5},
        {x:715,y:0.206896552,r:5},
        {x:716,y:-0.303448276,r:5},
        {x:717,y:1.613793103,r:5},
        {x:718,y:1.903448276,r:5},
        {x:719,y:0,r:5},
        {x:720,y:0.551724138,r:5},
        {x:721,y:0.813793103,r:5},
        {x:722,y:-0.206896552,r:5},
        {x:723,y:0,r:5},
        {x:724,y:1.406896552,r:5},
        {x:725,y:0,r:5},
        {x:726,y:1.779310345,r:5},
        {x:727,y:0,r:5},
        {x:728,y:3.862068966,r:5},
        {x:729,y:1.668965517,r:5},
        {x:730,y:0.634482759,r:5},
        {x:731,y:0.027586207,r:5},
        {x:732,y:0.44137931,r:5},
        {x:733,y:0.234482759,r:5},
        {x:734,y:1.268965517,r:5},
        {x:735,y:1.020689655,r:5},
        {x:736,y:0.717241379,r:5},
        {x:737,y:0.565517241,r:5},
        {x:738,y:1.006896552,r:5},
        {x:739,y:2.179310345,r:5},
        {x:740,y:1.282758621,r:5},
        {x:741,y:0.786206897,r:5},
        {x:742,y:1.6,r:5},
        {x:743,y:2.662068966,r:5},
        {x:744,y:0.868965517,r:5},
        {x:745,y:0.331034483,r:5},
        {x:746,y:2.04137931,r:5},
        {x:747,y:0.689655172,r:5},
        {x:748,y:2.827586207,r:5},
        {x:749,y:2.096551724,r:5},
        {x:750,y:0,r:5},
        {x:751,y:0.4,r:5},
        {x:752,y:2.248275862,r:5},
        {x:753,y:-0.524137931,r:5},
        {x:754,y:1.310344828,r:5},
        {x:755,y:0.317241379,r:5},
        {x:756,y:0,r:5},
        {x:757,y:1.2,r:5},
        {x:758,y:0.344827586,r:5},
        {x:759,y:1.103448276,r:5},
        {x:760,y:2.565517241,r:5},
        {x:761,y:1.255172414,r:5},
        {x:762,y:1.489655172,r:5},
        {x:763,y:0.75862069,r:5},
        {x:764,y:0.013793103,r:5},
        {x:765,y:0.896551724,r:5},
        {x:766,y:1.227586207,r:5},
        {x:767,y:0,r:5},
        {x:768,y:0.744827586,r:5},
        {x:769,y:0.262068966,r:5},
        {x:770,y:0.344827586,r:5},
        {x:771,y:1.282758621,r:5},
        {x:772,y:0.924137931,r:5},
        {x:773,y:0.372413793,r:5},
        {x:774,y:0.896551724,r:5},
        {x:775,y:0.868965517,r:5},
        {x:776,y:0,r:5},
        {x:777,y:0,r:5},
        {x:778,y:1.048275862,r:5},
        {x:779,y:0.234482759,r:5},
        {x:780,y:0.110344828,r:5},
        {x:781,y:-0.234482759,r:5},
        {x:782,y:0.262068966,r:5},
        {x:783,y:0.786206897,r:5},
        {x:784,y:-0.151724138,r:5},
        {x:785,y:-0.372413793,r:5},
        {x:786,y:2.35862069,r:5},
        {x:787,y:0.193103448,r:5},
        {x:788,y:-0.151724138,r:5},
        {x:789,y:1.337931034,r:5},
        {x:790,y:0.331034483,r:5},
        {x:791,y:0.868965517,r:5},
        {x:792,y:1.572413793,r:5},
        {x:793,y:0.634482759,r:5},
        {x:794,y:-0.275862069,r:5},
        {x:795,y:2.289655172,r:5},
        {x:796,y:1.572413793,r:5},
        {x:797,y:0,r:5},
        {x:798,y:0.924137931,r:5},
        {x:799,y:0.689655172,r:5},
        {x:800,y:0,r:5},
        {x:801,y:1.420689655,r:5},
        {x:802,y:1.324137931,r:5},
        {x:803,y:0.262068966,r:5},
        {x:804,y:1.806896552,r:5},
        {x:805,y:-0.275862069,r:5},
        {x:806,y:0.717241379,r:5},
        {x:807,y:0.772413793,r:5},
        {x:808,y:1.420689655,r:5},
        {x:809,y:1.310344828,r:5},
        {x:810,y:-0.110344828,r:5},
        {x:811,y:-0.220689655,r:5},
        {x:812,y:-0.455172414,r:5},
        {x:813,y:1.337931034,r:5},
        {x:814,y:0,r:5},
        {x:815,y:1.379310345,r:5},
        {x:816,y:1.296551724,r:5},
        {x:817,y:0.662068966,r:5},
        {x:818,y:0.468965517,r:5},
        {x:819,y:0.482758621,r:5},
        {x:820,y:0.179310345,r:5},
        {x:821,y:0,r:5},
        {x:822,y:0,r:5},
        {x:823,y:1.64137931,r:5},
        {x:824,y:2.606896552,r:5},
        {x:825,y:1.186206897,r:5},
        {x:826,y:0,r:5},
        {x:827,y:1.6,r:5},
        {x:828,y:0.524137931,r:5},
        {x:829,y:0.289655172,r:5},
        {x:830,y:0,r:5},
        {x:831,y:4.124137931,r:5},
        {x:832,y:1.944827586,r:5},
        {x:833,y:0.510344828,r:5},
        {x:834,y:1.475862069,r:5},
        {x:835,y:0.013793103,r:5},
        {x:836,y:1.062068966,r:5},
        {x:837,y:1.406896552,r:5},
        {x:838,y:0.082758621,r:5},
        {x:839,y:0.551724138,r:5},
        {x:840,y:4.248275862,r:5},
        {x:841,y:3.434482759,r:5},
        {x:842,y:0.662068966,r:5},
        {x:843,y:0.027586207,r:5},
        {x:844,y:0.703448276,r:5},
        {x:845,y:1.586206897,r:5},
        {x:846,y:0.827586207,r:5},
        {x:847,y:0,r:5},
        {x:848,y:0.689655172,r:5},
        {x:849,y:2.193103448,r:5},
        {x:850,y:0.868965517,r:5},
        {x:851,y:0,r:5},
        {x:852,y:0.496551724,r:5},
        {x:853,y:-1.020689655,r:5},
        {x:854,y:1.282758621,r:5},
        {x:855,y:1.186206897,r:5},
        {x:856,y:1.062068966,r:5},
        {x:857,y:1.24137931,r:5},
        {x:858,y:1.131034483,r:5},
        {x:859,y:0,r:5},
        {x:860,y:2.924137931,r:5},
        {x:861,y:0,r:5},
        {x:862,y:0.413793103,r:5},
        {x:863,y:1.131034483,r:5},
        {x:864,y:0.731034483,r:5},
        {x:865,y:4.248275862,r:5},
        {x:866,y:0,r:5},
        {x:867,y:0.344827586,r:5},
        {x:868,y:1.765517241,r:5},
        {x:869,y:0,r:5},
        {x:870,y:0.606896552,r:5},
        {x:871,y:0.344827586,r:5},
        {x:872,y:3.489655172,r:5},
        {x:873,y:0.220689655,r:5},
        {x:874,y:0.882758621,r:5},
        {x:875,y:1.406896552,r:5},
        {x:876,y:1.862068966,r:5},
        {x:877,y:1.779310345,r:5},
        {x:878,y:0.35862069,r:5},
        {x:879,y:0.027586207,r:5},
        {x:880,y:1.006896552,r:5},
        {x:881,y:0.193103448,r:5},
        {x:882,y:0.206896552,r:5},
        {x:883,y:-0.137931034,r:5},
        {x:884,y:2.055172414,r:5},
        {x:885,y:1.255172414,r:5},
        {x:886,y:0,r:5},
        {x:887,y:1.655172414,r:5},
        {x:888,y:0.289655172,r:5},
        {x:889,y:0.44137931,r:5},
        {x:890,y:0.896551724,r:5},
        {x:891,y:0.993103448,r:5},
        {x:892,y:0,r:5},
        {x:893,y:1.420689655,r:5},
        {x:894,y:0,r:5},
        {x:895,y:0.744827586,r:5},
        {x:896,y:-0.303448276,r:5},
        {x:897,y:0.386206897,r:5},
        {x:898,y:0.124137931,r:5},
        {x:899,y:0.827586207,r:5},
        {x:900,y:1.282758621,r:5},
        {x:901,y:0.75862069,r:5},
        {x:902,y:0.234482759,r:5},
        {x:903,y:1.655172414,r:5},
        {x:904,y:0.689655172,r:5},
        {x:905,y:-0.04137931,r:5},
        {x:906,y:0,r:5},
        {x:907,y:1.627586207,r:5},
        {x:908,y:0.689655172,r:5},
        {x:909,y:1.55862069,r:5},
        {x:910,y:0.082758621,r:5},
        {x:911,y:0.675862069,r:5},
        {x:912,y:1.95862069,r:5},
        {x:913,y:1.186206897,r:5},
        {x:914,y:1.310344828,r:5},
        {x:915,y:1.889655172,r:5},
        {x:916,y:0.979310345,r:5},
        {x:917,y:1.779310345,r:5},
        {x:918,y:1.034482759,r:5},
        {x:919,y:1.64137931,r:5},
        {x:920,y:0.979310345,r:5},
        {x:921,y:0.75862069,r:5},
        {x:922,y:1.213793103,r:5},
        {x:923,y:0.524137931,r:5},
        {x:924,y:0.110344828,r:5},
        {x:925,y:0,r:5},
        {x:926,y:0.124137931,r:5},
        {x:927,y:0,r:5},
        {x:928,y:1.255172414,r:5},
        {x:929,y:0.151724138,r:5},
        {x:930,y:1.793103448,r:5},
        {x:931,y:0,r:5},
        {x:932,y:0.082758621,r:5},
        {x:933,y:1.131034483,r:5},
        {x:934,y:0.648275862,r:5},
        {x:935,y:0,r:5},
        {x:936,y:0.331034483,r:5},
        {x:937,y:0.234482759,r:5},
        {x:938,y:1.379310345,r:5},
        {x:939,y:0.744827586,r:5},
        {x:940,y:0.151724138,r:5},
        {x:941,y:2.620689655,r:5},
        {x:942,y:0,r:5},
        {x:943,y:1.64137931,r:5},
        {x:944,y:0,r:5},
        {x:945,y:0.206896552,r:5},
        {x:946,y:0.593103448,r:5},
        {x:947,y:-0.662068966,r:5},
        {x:948,y:1.696551724,r:5},
        {x:949,y:0.896551724,r:5},
        {x:950,y:1.186206897,r:5},
        {x:951,y:1.268965517,r:5},
        {x:952,y:1.627586207,r:5},
        {x:953,y:0.896551724,r:5},
        {x:954,y:0.551724138,r:5},
        {x:955,y:0,r:5},
        {x:956,y:0.717241379,r:5},
        {x:957,y:1.503448276,r:5},
        {x:958,y:3.420689655,r:5},
        {x:959,y:1.186206897,r:5},
        {x:960,y:2.717241379,r:5},
        {x:961,y:0.606896552,r:5},
        {x:962,y:0.468965517,r:5},
        {x:963,y:0.344827586,r:5},
        {x:964,y:1.6,r:5},
        {x:965,y:2.193103448,r:5},
        {x:966,y:0,r:5},
        {x:967,y:0.096551724,r:5},
        {x:968,y:1.144827586,r:5},
        {x:969,y:0.510344828,r:5},
        {x:970,y:-0.248275862,r:5},
        {x:971,y:0.372413793,r:5},
        {x:972,y:0,r:5},
        {x:973,y:0,r:5},
        {x:974,y:-1.475862069,r:5},
        {x:975,y:-0.027586207,r:5},
        {x:976,y:0.620689655,r:5},
        {x:977,y:1.075862069,r:5},
        {x:978,y:1.475862069,r:5},
        {x:979,y:1.310344828,r:5},
        {x:980,y:0.827586207,r:5},
        {x:981,y:-0.124137931,r:5},
        {x:982,y:1.186206897,r:5},
        {x:983,y:-0.013793103,r:5},
        {x:984,y:0.082758621,r:5},
        {x:985,y:0.206896552,r:5},
        {x:986,y:1.613793103,r:5},
        {x:987,y:1.310344828,r:5},
        {x:988,y:0.937931034,r:5},
        {x:989,y:1.613793103,r:5},
        {x:990,y:0.606896552,r:5},
        {x:991,y:2.427586207,r:5},
        {x:992,y:1.627586207,r:5},
        {x:993,y:0.75862069,r:5},
        {x:994,y:1.034482759,r:5},
        {x:995,y:0.193103448,r:5},
        {x:996,y:0.868965517,r:5},
        {x:997,y:1.448275862,r:5},
        {x:998,y:-0.593103448,r:5},
        {x:999,y:2.427586207,r:5},
        {x:1000,y:-0.068965517,r:5},
        {x:1001,y:-0.413793103,r:5},
        {x:1002,y:1.434482759,r:5},
        {x:1003,y:1.034482759,r:5},
        {x:1004,y:0,r:5},
        {x:1005,y:-0.551724138,r:5},
        {x:1006,y:0.524137931,r:5},
        {x:1007,y:1.117241379,r:5},
        {x:1008,y:1.462068966,r:5},
        {x:1009,y:0,r:5},
        {x:1010,y:1.655172414,r:5},
        {x:1011,y:0,r:5},
        {x:1012,y:0.482758621,r:5},
        {x:1013,y:-0.234482759,r:5},
        {x:1014,y:2.179310345,r:5},
        {x:1015,y:0,r:5},
        {x:1016,y:0.124137931,r:5},
        {x:1017,y:0,r:5},
        {x:1018,y:2.082758621,r:5},
        {x:1019,y:0.8,r:5},
        {x:1020,y:0,r:5},
        {x:1021,y:1.572413793,r:5},
        {x:1022,y:1.434482759,r:5},
        {x:1023,y:0.331034483,r:5},
        {x:1024,y:0,r:5},
        {x:1025,y:0,r:5},
        {x:1026,y:1.834482759,r:5},
        {x:1027,y:0.772413793,r:5},
        {x:1028,y:0.206896552,r:5},
        {x:1029,y:0.468965517,r:5},
        {x:1030,y:0,r:5},
        {x:1031,y:0.275862069,r:5},
        {x:1032,y:0,r:5},
        {x:1033,y:0.772413793,r:5},
        {x:1034,y:1.696551724,r:5},
        {x:1035,y:2.634482759,r:5},
        {x:1036,y:0,r:5},
        {x:1037,y:0.068965517,r:5},
        {x:1038,y:1.696551724,r:5},
        {x:1039,y:0.910344828,r:5},
        {x:1040,y:2.372413793,r:5},
        {x:1041,y:-0.013793103,r:5},
        {x:1042,y:8.703448276,r:5},
        {x:1043,y:0.289655172,r:5},
        {x:1044,y:1.820689655,r:5},
        {x:1045,y:1.268965517,r:5},
        {x:1046,y:2.896551724,r:5},
        {x:1047,y:0.151724138,r:5},
        {x:1048,y:0.606896552,r:5},
        {x:1049,y:0.827586207,r:5},
        {x:1050,y:0.04137931,r:5},
        {x:1051,y:-0.372413793,r:5},
        {x:1052,y:0.510344828,r:5},
        {x:1053,y:-0.04137931,r:5},
        {x:1054,y:0.620689655,r:5},
        {x:1055,y:1.131034483,r:5},
        {x:1056,y:1.406896552,r:5},
        {x:1057,y:0.75862069,r:5},
        {x:1058,y:1.048275862,r:5},
        {x:1059,y:0.772413793,r:5},
        {x:1060,y:0.220689655,r:5},
        {x:1061,y:1.131034483,r:5},
        {x:1062,y:-1.034482759,r:5},
        {x:1063,y:0.234482759,r:5},
        {x:1064,y:0.137931034,r:5},
        {x:1065,y:1.186206897,r:5},
        {x:1066,y:0,r:5},
        {x:1067,y:-0.179310345,r:5},
        {x:1068,y:0.124137931,r:5},
        {x:1069,y:0.4,r:5},
        {x:1070,y:1.517241379,r:5},
        {x:1071,y:0.455172414,r:5},
        {x:1072,y:0.35862069,r:5},
        {x:1073,y:0.744827586,r:5},
        {x:1074,y:0.648275862,r:5},
        {x:1075,y:0.124137931,r:5},
        {x:1076,y:1.268965517,r:5},
        {x:1077,y:0.510344828,r:5},
        {x:1078,y:2.193103448,r:5},
        {x:1079,y:0.675862069,r:5},
        {x:1080,y:1.406896552,r:5},
        {x:1081,y:1.931034483,r:5},
        {x:1082,y:0.593103448,r:5},
        {x:1083,y:0.35862069,r:5},
        {x:1084,y:0.537931034,r:5},
        {x:1085,y:0.124137931,r:5},
        {x:1086,y:1.64137931,r:5},
        {x:1087,y:0.4,r:5},
        {x:1088,y:1.834482759,r:5},
        {x:1089,y:0.137931034,r:5},
        {x:1090,y:0.606896552,r:5},
        {x:1091,y:0.35862069,r:5},
        {x:1092,y:0.620689655,r:5},
        {x:1093,y:0.551724138,r:5},
        {x:1094,y:2.068965517,r:5},
        {x:1095,y:3.751724138,r:5},
        {x:1096,y:1.2,r:5},
        {x:1097,y:0.289655172,r:5},
        {x:1098,y:2.965517241,r:5},
        {x:1099,y:0.75862069,r:5},
        {x:1100,y:1.64137931,r:5},
        {x:1101,y:-0.013793103,r:5},
        {x:1102,y:2.510344828,r:5},
        {x:1103,y:1.2,r:5},
        {x:1104,y:-0.275862069,r:5},
        {x:1105,y:0.606896552,r:5},
        {x:1106,y:2.868965517,r:5},
        {x:1107,y:1.15862069,r:5},
        {x:1108,y:0.193103448,r:5},
        {x:1109,y:3.475862069,r:5},
        {x:1110,y:-0.317241379,r:5},
        {x:1111,y:0.855172414,r:5},
        {x:1112,y:1.351724138,r:5},
        {x:1113,y:-0.262068966,r:5},
        {x:1114,y:2.303448276,r:5},
        {x:1115,y:1.020689655,r:5},
        {x:1116,y:1.117241379,r:5},
        {x:1117,y:3.255172414,r:5},
        {x:1118,y:1.310344828,r:5},
        {x:1119,y:1.268965517,r:5},
        {x:1120,y:1.462068966,r:5},
        {x:1121,y:1.986206897,r:5},
        {x:1122,y:0.910344828,r:5},
        {x:1123,y:0.4,r:5},
        {x:1124,y:1.503448276,r:5},
        {x:1125,y:1.213793103,r:5},
        {x:1126,y:0.620689655,r:5},
        {x:1127,y:-0.772413793,r:5},
        {x:1128,y:0.648275862,r:5},
        {x:1129,y:3.255172414,r:5},
        {x:1130,y:1.282758621,r:5},
        {x:1131,y:0.882758621,r:5},
        {x:1132,y:1.572413793,r:5},
        {x:1133,y:1.117241379,r:5},
        {x:1134,y:2.193103448,r:5},
        {x:1135,y:1.186206897,r:5},
        {x:1136,y:2.468965517,r:5},
        {x:1137,y:1.765517241,r:5},
        {x:1138,y:0.331034483,r:5},
        {x:1139,y:1.020689655,r:5},
        {x:1140,y:0.551724138,r:5},
        {x:1141,y:1.15862069,r:5},
        {x:1142,y:0.082758621,r:5},
        {x:1143,y:1.972413793,r:5},
        {x:1144,y:0.068965517,r:5},
        {x:1145,y:1.420689655,r:5},
        {x:1146,y:1.613793103,r:5},
        {x:1147,y:1.255172414,r:5},
        {x:1148,y:0.689655172,r:5},
        {x:1149,y:1.006896552,r:5},
        {x:1150,y:1.15862069,r:5},
        {x:1151,y:1.793103448,r:5},
        {x:1152,y:0.317241379,r:5},
        {x:1153,y:1.089655172,r:5},
        {x:1154,y:0.965517241,r:5},
        {x:1155,y:-0.344827586,r:5},
        {x:1156,y:0,r:5},
        {x:1157,y:1.089655172,r:5},
        {x:1158,y:3.779310345,r:5},
        {x:1159,y:0.910344828,r:5},
        {x:1160,y:0,r:5},
        {x:1161,y:0,r:5},
        {x:1162,y:0.979310345,r:5},
        {x:1163,y:0,r:5},
        {x:1164,y:1.972413793,r:5},
        {x:1165,y:0.317241379,r:5},
        {x:1166,y:0,r:5},
        {x:1167,y:0.662068966,r:5},
        {x:1168,y:0.220689655,r:5},
        {x:1169,y:0,r:5},
        {x:1170,y:1.282758621,r:5},
        {x:1171,y:0.262068966,r:5},
        {x:1172,y:0.537931034,r:5},
        {x:1173,y:0.634482759,r:5},
        {x:1174,y:0,r:5},
        {x:1175,y:0.551724138,r:5},
        {x:1176,y:0.731034483,r:5},
        {x:1177,y:-0.8,r:5},
        {x:1178,y:2.35862069,r:5},
        {x:1179,y:0.275862069,r:5},
        {x:1180,y:0.717241379,r:5},
        {x:1181,y:0,r:5},
        {x:1182,y:2.013793103,r:5},
        {x:1183,y:0,r:5},
        {x:1184,y:1.779310345,r:5},
        {x:1185,y:1.24137931,r:5},
        {x:1186,y:1.172413793,r:5},
        {x:1187,y:0,r:5},
        {x:1188,y:1.806896552,r:5},
        {x:1189,y:0.827586207,r:5},
        {x:1190,y:0,r:5},
        {x:1191,y:1.172413793,r:5},
        {x:1192,y:0,r:5},
        {x:1193,y:0.579310345,r:5},
        {x:1194,y:2.731034483,r:5},
        {x:1195,y:0,r:5},
        {x:1196,y:1.875862069,r:5},
        {x:1197,y:0.937931034,r:5},
        {x:1198,y:1.034482759,r:5},
        {x:1199,y:-0.579310345,r:5},
        {x:1200,y:1.489655172,r:5},
        {x:1201,y:0,r:5},
        {x:1202,y:1.613793103,r:5},
        {x:1203,y:1.655172414,r:5},
        {x:1204,y:0.468965517,r:5},
        {x:1205,y:0,r:5},
        {x:1206,y:0.937931034,r:5},
        {x:1207,y:2.786206897,r:5},
        {x:1208,y:0.551724138,r:5},
        {x:1209,y:0.427586207,r:5},
        {x:1210,y:0.868965517,r:5},
        {x:1211,y:0,r:5},
        {x:1212,y:2.468965517,r:5},
        {x:1213,y:1.255172414,r:5},
        {x:1214,y:-0.275862069,r:5},
        {x:1215,y:1.462068966,r:5},
        {x:1216,y:0.248275862,r:5},
        {x:1217,y:-0.344827586,r:5},
        {x:1218,y:2.331034483,r:5},
        {x:1219,y:0.455172414,r:5},
        {x:1220,y:1.668965517,r:5},
        {x:1221,y:0.703448276,r:5},
        {x:1222,y:1.406896552,r:5},
        {x:1223,y:2.055172414,r:5},
        {x:1224,y:0.124137931,r:5},
        {x:1225,y:-0.165517241,r:5},
        {x:1226,y:2.882758621,r:5},
        {x:1227,y:0.579310345,r:5},
        {x:1228,y:0,r:5},
        {x:1229,y:0,r:5},
        {x:1230,y:0,r:5},
        {x:1231,y:2.482758621,r:5},
        {x:1232,y:2.165517241,r:5},
        {x:1233,y:0.951724138,r:5},
        {x:1234,y:0.8,r:5},
        {x:1235,y:0.482758621,r:5},
        {x:1236,y:0.924137931,r:5},
        {x:1237,y:-0.027586207,r:5},
        {x:1238,y:1.186206897,r:5},
        {x:1239,y:2.289655172,r:5},
        {x:1240,y:0.855172414,r:5},
        {x:1241,y:1.613793103,r:5},
        {x:1242,y:-0.04137931,r:5},
        {x:1243,y:0.427586207,r:5},
        {x:1244,y:2.565517241,r:5},
        {x:1245,y:1.834482759,r:5},
        {x:1246,y:1.393103448,r:5},
        {x:1247,y:0,r:5},
        {x:1248,y:0.179310345,r:5},
        {x:1249,y:0,r:5},
        {x:1250,y:0.496551724,r:5},
        {x:1251,y:1.324137931,r:5},
        {x:1252,y:1.282758621,r:5},
        {x:1253,y:0.84137931,r:5},
        {x:1254,y:0,r:5},
        {x:1255,y:0.551724138,r:5},
        {x:1256,y:1.117241379,r:5},
        {x:1257,y:1.848275862,r:5},
        {x:1258,y:0,r:5},
        {x:1259,y:0.331034483,r:5},
        {x:1260,y:1.365517241,r:5},
        {x:1261,y:0,r:5},
        {x:1262,y:0.317241379,r:5},
        {x:1263,y:0.896551724,r:5},
        {x:1264,y:2.965517241,r:5},
        {x:1265,y:-0.275862069,r:5},
        {x:1266,y:1.365517241,r:5},
        {x:1267,y:0.220689655,r:5},
        {x:1268,y:0.731034483,r:5},
        {x:1269,y:0.675862069,r:5},
        {x:1270,y:0.372413793,r:5},
        {x:1271,y:0,r:5},
        {x:1272,y:0,r:5},
        {x:1273,y:3.186206897,r:5},
        {x:1274,y:0.344827586,r:5},
        {x:1275,y:2.193103448,r:5},
        {x:1276,y:0.372413793,r:5},
        {x:1277,y:1.103448276,r:5},
        {x:1278,y:0,r:5},
        {x:1279,y:0.35862069,r:5},
        {x:1280,y:0.924137931,r:5},
        {x:1281,y:0.372413793,r:5},
        {x:1282,y:2.427586207,r:5},
        {x:1283,y:0.096551724,r:5},
        {x:1284,y:-0.468965517,r:5},
        {x:1285,y:0,r:5},
        {x:1286,y:1.034482759,r:5},
        {x:1287,y:1.475862069,r:5},
        {x:1288,y:0,r:5},
        {x:1289,y:1.172413793,r:5},
        {x:1290,y:1.848275862,r:5},
        {x:1291,y:1.324137931,r:5},
        {x:1292,y:0,r:5},
        {x:1293,y:0.068965517,r:5},
        {x:1294,y:1.55862069,r:5},
        {x:1295,y:0.496551724,r:5},
        {x:1296,y:0.096551724,r:5},
        {x:1297,y:1.696551724,r:5},
        {x:1298,y:0.137931034,r:5},
        {x:1299,y:0.910344828,r:5},
        {x:1300,y:0,r:5},
        {x:1301,y:1.64137931,r:5},
        {x:1302,y:0.082758621,r:5},
        {x:1303,y:0,r:5},
        {x:1304,y:0,r:5},
        {x:1305,y:-0.579310345,r:5},
        {x:1306,y:0,r:5},
        {x:1307,y:0.110344828,r:5},
        {x:1308,y:1.089655172,r:5},
        {x:1309,y:0.496551724,r:5},
        {x:1310,y:0.648275862,r:5},
        {x:1311,y:1.95862069,r:5},
        {x:1312,y:-1.489655172,r:5},
        {x:1313,y:-1.586206897,r:5},
        {x:1314,y:0.855172414,r:5},
        {x:1315,y:1.006896552,r:5},
        {x:1316,y:1.572413793,r:5},
        {x:1317,y:1.517241379,r:5},
        {x:1318,y:0,r:5},
        {x:1319,y:0,r:5},
        {x:1320,y:1.227586207,r:5},
        {x:1321,y:-0.082758621,r:5},
        {x:1322,y:0,r:5},
        {x:1323,y:0.372413793,r:5},
        {x:1324,y:0,r:5},
        {x:1325,y:1.724137931,r:5},
        {x:1326,y:0.993103448,r:5},
        {x:1327,y:0.110344828,r:5},
        {x:1328,y:0.496551724,r:5},
        {x:1329,y:1.613793103,r:5},
        {x:1330,y:-0.096551724,r:5},
        {x:1331,y:1.075862069,r:5},
        {x:1332,y:-0.4,r:5},
        {x:1333,y:0.372413793,r:5},
        {x:1334,y:-0.731034483,r:5},
        {x:1335,y:-0.386206897,r:5},
        {x:1336,y:1.103448276,r:5},
        {x:1337,y:0.055172414,r:5},
        {x:1338,y:2.731034483,r:5},
        {x:1339,y:1.282758621,r:5},
        {x:1340,y:0.965517241,r:5},
        {x:1341,y:1.103448276,r:5},
        {x:1342,y:2.068965517,r:5},
        {x:1343,y:0.951724138,r:5},
        {x:1344,y:0.04137931,r:5},
        {x:1345,y:0,r:5},
        {x:1346,y:0.068965517,r:5},
        {x:1347,y:0,r:5},
        {x:1348,y:0,r:5},
        {x:1349,y:0.8,r:5},
        {x:1350,y:0,r:5},
        {x:1351,y:0.717241379,r:5},
        {x:1352,y:0,r:5},
        {x:1353,y:0.165517241,r:5},
        {x:1354,y:0.386206897,r:5},
        {x:1355,y:0.579310345,r:5},
        {x:1356,y:0,r:5},
        {x:1357,y:0.951724138,r:5},
        {x:1358,y:-0.427586207,r:5},
        {x:1359,y:0.068965517,r:5},
        {x:1360,y:-0.648275862,r:5},
        {x:1361,y:1.24137931,r:5},
        {x:1362,y:1.64137931,r:5},
        {x:1363,y:0,r:5},
        {x:1364,y:0.151724138,r:5},
        {x:1365,y:0,r:5},
        {x:1366,y:0.206896552,r:5},
        {x:1367,y:-0.537931034,r:5},
        {x:1368,y:-0.096551724,r:5},
        {x:1369,y:0.8,r:5},
        {x:1370,y:0,r:5},
        {x:1371,y:0.786206897,r:5},
        {x:1372,y:0.372413793,r:5},
        {x:1373,y:0.248275862,r:5},
        {x:1374,y:0,r:5},
        {x:1375,y:1.255172414,r:5},
        {x:1376,y:-0.565517241,r:5},
        {x:1377,y:0.262068966,r:5},
        {x:1378,y:-0.151724138,r:5},
        {x:1379,y:-0.110344828,r:5},
        {x:1380,y:0.289655172,r:5},
        {x:1381,y:1.186206897,r:5},
        {x:1382,y:1.503448276,r:5},
        {x:1383,y:0,r:5},
        {x:1384,y:-2.096551724,r:5},
        {x:1385,y:0.951724138,r:5},
        {x:1386,y:-1.048275862,r:5},
        {x:1387,y:0.151724138,r:5},
        {x:1388,y:0.386206897,r:5},
        {x:1389,y:0.855172414,r:5},
        {x:1390,y:0.317241379,r:5},
        {x:1391,y:-0.468965517,r:5},
        {x:1392,y:2.344827586,r:5},
        {x:1393,y:0.055172414,r:5},
        {x:1394,y:0.275862069,r:5},
        {x:1395,y:0.151724138,r:5},
        {x:1396,y:2.04137931,r:5},
        {x:1397,y:0,r:5},
        {x:1398,y:2.055172414,r:5},
        {x:1399,y:-2.096551724,r:5},
        {x:1400,y:0,r:5},
        {x:1401,y:-0.013793103,r:5},
        {x:1402,y:0,r:5},
        {x:1403,y:0,r:5},
        {x:1404,y:-1.393103448,r:5},
        {x:1405,y:0,r:5},
        {x:1406,y:2.317241379,r:5},
        {x:1407,y:1.765517241,r:5},
        {x:1408,y:0.386206897,r:5},
        {x:1409,y:2.689655172,r:5},
        {x:1410,y:0.4,r:5},
        {x:1411,y:-0.648275862,r:5},
        {x:1412,y:-1.186206897,r:5},
        {x:1413,y:-1.517241379,r:5},
        {x:1414,y:0.248275862,r:5},
        {x:1415,y:0.8,r:5},
        {x:1416,y:1.710344828,r:5},
        {x:1417,y:0.303448276,r:5},
        {x:1418,y:0.524137931,r:5},
        {x:1419,y:0.896551724,r:5},
        {x:1420,y:-0.565517241,r:5},
        {x:1421,y:-0.482758621,r:5},
        {x:1422,y:0.551724138,r:5},
        {x:1423,y:-0.04137931,r:5},
        {x:1424,y:-0.496551724,r:5},
        {x:1425,y:0,r:5},
        {x:1426,y:0.331034483,r:5},
        {x:1427,y:1.24137931,r:5},
        {x:1428,y:2.662068966,r:5},
        {x:1429,y:0.75862069,r:5},
        {x:1430,y:1.6,r:5},
        {x:1431,y:1.324137931,r:5},
        {x:1432,y:-0.234482759,r:5},
        {x:1433,y:0.068965517,r:5},
        {x:1434,y:-0.013793103,r:5},
        {x:1435,y:0.965517241,r:5},
        {x:1436,y:0,r:5},
        {x:1437,y:0,r:5},
        {x:1438,y:-1.255172414,r:5},
        {x:1439,y:0.35862069,r:5},
        {x:1440,y:-0.565517241,r:5},
        {x:1441,y:2.675862069,r:5},
        {x:1442,y:0.234482759,r:5},
        {x:1443,y:0.317241379,r:5},
        {x:1444,y:0.303448276,r:5},
        {x:1445,y:0.744827586,r:5},
        {x:1446,y:-0.137931034,r:5},
        {x:1447,y:-0.04137931,r:5},
        {x:1448,y:2.179310345,r:5},
        {x:1449,y:-0.786206897,r:5},
        {x:1450,y:1.2,r:5},
        {x:1451,y:0.124137931,r:5},
        {x:1452,y:0.524137931,r:5},
        {x:1453,y:-0.634482759,r:5},
        {x:1454,y:0.524137931,r:5},
        {x:1455,y:0.965517241,r:5},
        {x:1456,y:0,r:5},
        {x:1457,y:0.096551724,r:5},
        {x:1458,y:-0.924137931,r:5},
        {x:1459,y:0.193103448,r:5},
        {x:1460,y:0.896551724,r:5},
        {x:1461,y:0,r:5},
        {x:1462,y:1.062068966,r:5},
        {x:1463,y:0,r:5},
        {x:1464,y:-0.165517241,r:5},
        {x:1465,y:1.434482759,r:5},
        {x:1466,y:0,r:5},
        {x:1467,y:0.910344828,r:5},
        {x:1468,y:1.24137931,r:5},
        {x:1469,y:1.668965517,r:5},
        {x:1470,y:1.420689655,r:5},
        {x:1471,y:0.206896552,r:5},
        {x:1472,y:0.206896552,r:5}

      ],
    }],
  },
  options: {
    maintainAspectRatio: false,
    layout: {
      padding: {
        left: 10,
        right: 25,
        top: 25,
        bottom: 0
      }
    },
    scales: {
      xAxes: [{
        time: {
          unit: 'date'
        },
        gridLines: {
          display: false,
          drawBorder: false
        },
        ticks: {
          maxTicksLimit: 7
        }
      }],
      yAxes: [{
        ticks: {
          maxTicksLimit: 5,
          padding: 10,
          // Include a dollar sign in the ticks
          callback: function(value, index, values) {
            return number_format(value);
          }
        },
        gridLines: {
          color: "rgb(234, 236, 244)",
          zeroLineColor: "rgb(234, 236, 244)",
          drawBorder: false,
          borderDash: [2],
          zeroLineBorderDash: [2]
        }
      }],
    },
    legend: {
      display: false
    },
    tooltips: {
      hoverBackgroundColor:"rgb(244,255,243)",
      backgroundColor: "rgb(244,255,243)",
      bodyFontColor: "#858796",
      titleMarginBottom: 10,
      titleFontColor: '#6e707e',
      titleFontSize: 14,
      borderColor: '#008a0d',
      borderWidth: 1,
      xPadding: 15,
      yPadding: 15,
      displayColors: false,
      intersect: false,
      mode: 'index',
      caretPadding: 10,
      callbacks: {
        label: function(tooltipItem, chart) {
          var datasetLabel = chart.datasets[tooltipItem.datasetIndex].label || '';
          return datasetLabel + " = "+ number_format(tooltipItem.yLabel);
        }
      }
    }
  }
});
